Subject: [saag] Review of Privacy section in draft-ietf-drip-rid

From: Robert Moskowitz <[email-masked]>
Date: Tue, 14 Sep 2021 16:34:01 -0400

I don't know if this is the preferred list to catch people concerned 
with privacy issues within IETF protocols, but here goes.

draft-ietf-drip-rid proposes a trustable Unmanned Aircraft (AKA Drone) 
Remote ID to meet the new regulations coming from the various Civil 
Aviation Authorities (e.g. FAA) worldwide.

I just sent a review request to CFRG on the hashing pieces in drip-rid.

Here I am asking comments on Sec 8, DET Privacy.  Or actually lack of 
any privacy and how to limit historical trackablity.

I welcome all comments.

Thank you

Robert Moskowitz